-- BEGIN COPYRIGHT
-- *************************************************************************
-- Licensed Materials - Property of IBM 
-- 5724-L01, 5655-N53, 5724-I82, 5655-R15
-- (C) Copyright IBM Corporation 2010. All rights reserved. 
-- US Government Users Restricted Rights - Use, duplication, or disclosure
-- restricted by GSA ADP Schedule Contract with IBM Corp.
-- *************************************************************************
-- END COPYRIGHT
--


    

		
/* START of phase PerfUpgradeTo710 */
    
			
                    	ALTER  TABLE LSW_TIMING_INTERVAL 
						ADD (
						"IS_AUTO" NCHAR(1) DEFAULT 'T'  NOT NULL ENABLE
						)
					
;

	                    	update lsw_timing_interval set is_auto='F' where length(external_unique_id) <= 33
						
;

		
/* END of phase PerfUpgradeTo710 */

	
    

  		
/* START of phase PerfUpgradeTo720 */
    
  			
ALTER  TABLE LSW_TASK 
ADD 
    "MAX_STEP" DECIMAL(31,0)
        DEFAULT 0
;


CREATE INDEX LSWC_TASK_NQ3 
    ON LSW_TASK(
    "MAX_STEP")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_TASK_NQ4 
    ON LSW_TASK(
    "CREATION_TIME",
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_TASK_NQ5 
    ON LSW_TASK(
    "START_TIME",
    "TASK_ID")
    USING STOGROUP @STOGRP@

;

CREATE INDEX LSWC_TASK_NQ6 
    ON LSW_TASK(
    "END_TIME",
    "TASK_ID")
    USING STOGROUP @STOGRP@

;


CREATE INDEX LSWC_TRCKNGPTL_NQ4 
    ON LSW_TRACKING_POINT_VALUE(
    "TIME_STAMP",
    "TRACKING_POINT_VALUE_ID")
    USING STOGROUP @STOGRP@

;

  							ALTER TABLE LSW_DATA_TRANSFER_ERRORS ALTER COLUMN ERROR SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_SNAPSHOT ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_SYSTEM ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_TIMING_INTERVAL ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_TRACKED_FIELD ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_TRACKING_GROUP ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  							GO
  							ALTER TABLE LSW_TRACKING_POINT ALTER COLUMN DESCRIPTION SET DATA TYPE CLOB(2G)
  						
;

  		
/* END of phase PerfUpgradeTo720 */

  		
  		
/* START of phase UpgradeTrackingGroupIndices */
    
  			

CREATE INDEX %Constraint_Prefix%_IDX1 
    ON %Table_Name%(
    "TIME_STAMP")
    USING STOGROUP @STOGRP@

;

  		
/* END of phase UpgradeTrackingGroupIndices */


        
/* START of phase UpgradeTGColumns */
    
            
ALTER TABLE %TRACKING_GROUP_NAME% ALTER "%COLUMN_NAME%" SET DATA TYPE VARCHAR(%COLUMN_LENGTH%)
;

        
/* END of phase UpgradeTGColumns */


    
    

        
/* START of phase PerfUpgradeTo750 */
    
            
        
/* END of phase PerfUpgradeTo750 */

    
    

        
/* START of phase PerfUpgradeTo751 */
    
            
        
/* END of phase PerfUpgradeTo751 */

    
    

        
/* START of phase PerfUpgradeTo800 */
    
            
        
/* END of phase PerfUpgradeTo800 */

    
    

		
/* START of phase PerfUpgradeTo801 */
    
			
ALTER TABLE LSW_TASK ALTER "ASSIGNED_GROUP_ID" SET DATA TYPE VARCHAR(522)
;

		
/* END of phase PerfUpgradeTo801 */

	